# MAT-similarity: Similarity Methods and Functions for Multiple Aspect Trajectory Data Mining \[MAT-Tools Framework\]
---

\[[Publication](#)\] \[[Bibtex](https://github.com/mat-analysis/mat-tools/blob/main/references/mat-tools.bib)\] \[[GitHub](https://github.com/mat-analysis/mat-similarity)\] \[[PyPi](https://pypi.org/project/mat-similarity/)\]


The present application offers a tool, to support the user in the data mining task of multiple aspect trajectories, specifically for **measuring similarity** of its complex data. It integrates into a unique platform the fragmented approaches available for multiple aspects trajectories and in general for multidimensional sequence classification into a unique web-based and python library system. 

Created on Apr, 2024
Copyright (C) 2024, License GPL Version 3 or superior (see LICENSE file)

### Main Modules

The implemented similarity measure classes for MAT:

1. **MUITAS**: Semantic-Aware Multiple-Aspect Trajectory Similarity measure.
2. **MSM**: Multidimensional similarity measuring for semantic trajectories.
3. **LCSS**: Longest Common Subsequence MAT similarity measure.
4. **EDR**: Edit Distance on Real sequences MAT similarity measure.

### Installation

Install directly from PyPi repository, or, download from github. (python >= 3.7 required)

```bash
    pip install mat-similarity
```

### Citing

If you use `mat-similarity` please cite the following paper:

 - Portela, T. T.; Machado, V. L.; Renso, C. Unified Approach to Trajectory Data Mining and Multi-Aspect Trajectory Analysis with MAT-Tools Framework. In: SIMPÓSIO BRASILEIRO DE BANCO DE DADOS (SBBD), 39. , 2024, Florianópolis/SC. \[[Bibtex](https://github.com/mat-analysis/mat-tools/blob/main/references/mat-tools.bib)\]

### Collaborate with us

Any contribution is welcome. This is an active project and if you would like to include your code, feel free to fork the project, open an issue and contact us.

Feel free to contribute in any form, such as scientific publications referencing this package, teaching material and workshop videos.

### Related packages

This package is part of _MAT-Tools Framework_ for Multiple Aspect Trajectory Data Mining, check the guide project:

- **[mat-tools](https://github.com/mat-analysis/mat-tools)**: Reference guide for MAT-Tools Framework repositories

### Change Log

This is a package under construction, see [CHANGELOG.md](https://github.com/mat-analysis/mat-similarity/blob/main/CHANGELOG.md)